POST api/enlistedfeature/executestep/featureConfiguration/{featureConfigurationId}/step/{stepId}/role/{roleId}?chosenExternalProviderId={chosenExternalProviderId}
Execute Step. Processes this enlisted feature API request. The parameter and response sections describe the data exchanged with the API.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| roleId |
The unique identifier of the role resource. |
integer |
Required |
| featureConfigurationId |
The unique identifier of the feature configuration resource. |
integer |
Required |
| stepId |
The unique identifier of the step resource. |
integer |
Required |
| chosenExternalProviderId |
The unique identifier of the chosen external provider resource. |
integer |
None. |
Body Parameters
The external provider invocation data contract supplied with the request.
ExternalProviderInvocationDataContract| Name | Description | Type | Additional information |
|---|---|---|---|
| ExternalProviderType |
The external provider type classification. |
ExternalProviderType |
None. |
| PreferredGlobalExternalProviderId |
The unique identifier of the related preferred global external provider resource. |
integer |
None. |
| PreferredExternalProviderRoleId |
The unique identifier of the related preferred external provider role resource. |
integer |
None. |
| BrandId |
The unique identifier of the related brand resource. |
integer |
None. |
| ShowStatusUpdatesToClients |
Indicates whether show status updates to clients is true. |
boolean |
None. |
| ResolvedExternalProviderRoleId |
The unique identifier of the related resolved external provider role resource. |
integer |
None. |
| UsageToken |
The usage token globally unique identifier. |
globally unique identifier |
None. |
Request Formats
application/x-www-form-urlencoded, application/json, text/json
Sample not available.
Response Information
Resource Description
The response returned after the operation completes.
Collection of JobStatusDataContract| Name | Description | Type | Additional information |
|---|---|---|---|
| JobReference |
The job reference globally unique identifier. |
globally unique identifier |
None. |
| JobStatus |
The job status classification. |
JobStatus |
None. |
| JobPercentageCompleted |
The job percentage completed value. |
integer |
None. |
| JobStatusText |
The job status text value. |
string |
None. |
| UsageToken |
The usage token globally unique identifier. |
globally unique identifier |
None. |
Response Formats
application/json, text/json
[
{
"JobReference": "044e4bad-6802-4a5a-8518-4a4637a356b1",
"JobStatus": 0,
"JobPercentageCompleted": 2,
"JobStatusText": "sample string 3",
"UsageToken": "49d49e81-1e53-4516-8f6d-be1503150f20"
},
{
"JobReference": "044e4bad-6802-4a5a-8518-4a4637a356b1",
"JobStatus": 0,
"JobPercentageCompleted": 2,
"JobStatusText": "sample string 3",
"UsageToken": "49d49e81-1e53-4516-8f6d-be1503150f20"
}
]